<?php

namespace CouponsPlus\App\Coupon\Tree\Abilities;

use CouponsPlus\Original\Collections\Collection;
use CouponsPlus\App\Conditions\Abilities\TestableComposite;

interface TestableCompositeCollection
{
    public function get(): Collection;
    public function add(TestableComposite $testableComposite);
}